# Visualization
TKService
AlienImage

# AlienImage_AlienImageData Class Reference

This class defines an Alien image.
Alien Image is X11 . xwd image or SGI .rgb image for examples
.

`#include <AlienImage_AlienImageData.hxx>`

Inheritance diagram for AlienImage_AlienImageData:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
| Set Image name . .
virtual Standard_EXPORT const TCollection_AsciiString & | Name () const
| get Image name .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | AlienImage_AlienImageData ()

## Protected Attributes

TCollection_AsciiString | myName

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_AlienImageData::AlienImage_AlienImageData | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const AlienImage_AlienImageData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienImage. Reimplemented in AlienImage_AidaAlienData, AlienImage_BMPAlienData, AlienImage_EuclidAlienData, AlienImage_GIFAlienData, AlienImage_SGIRGBAlienData, AlienImage_SunRFAlienData, and AlienImage_X11XWDAlienData.

virtual Standard_EXPORT const TCollection_AsciiString& AlienImage_AlienImageData::Name | ( |  | ) | const`[virtual]`

| Reimplemented in AlienImage_SGIRGBAlienData, and AlienImage_X11XWDAlienData.

virtual Standard_EXPORT void AlienImage_AlienImageData::SetName | ( | const TCollection_AsciiString & | aName | ) | `[virtual]`

| Reimplemented in AlienImage_SGIRGBAlienData, and AlienImage_X11XWDAlienData.

## Field Documentation

TCollection_AsciiString AlienImage_AlienImageData::myName `[protected]`

The documentation for this class was generated from the following file:

- AlienImage_AlienImageData.hxx